Backout the patch for bug  and its dependencies from Firefox 
The amount of outstanding regressions based on the feature introduced in bug  is too high and some of the fixes may be best if a new API was introduced (bug 

This bug is to backout the patch for bug  and its follow-up bugs from Firefox 
